#Mage Tower (entrance)
from eventAPI import *
from APIUtils import *

lairNeg5 = 0

def fireEvent(e):
    global lairNeg5
    lairNeg5 = getTag(e, "lairNeg5")
    if(not lairNeg5):
        showMessage(e, ["You hear a voice whisper into your mind", "\"What am I?\""])
        answer = stringInput(e,
            ["At the sound of me, men may dream","or stamp their feet", "women may laugh", "or sometimes weep"])
        if(answer.lower() != "music"):
            return 0
        else:
            lairNeg5 = 1
            setTag(e, "lairNeg5", lairNeg5)

    showPicture(e, "Cave")
    if (poseYesNo(e,
        ["You see before you more of the Lair of the Wolfman and Philibuster.",
         "Do you enter?"])):
        tickGame(e, 60)
        setExit(e, "maps/lair-5.cfg", 17, 5, 0)
    return 0
